@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
}
body {
    background: radial-gradient(circle at top, #0c122a 35%, #000000 100%);
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    font-family: 'Poppins', sans-serif;
    margin: 0; /* Reset default margin */
}
img {
    max-width: 250px;
    max-width: 12.5rem;
    margin-bottom: 1.4rem;
}
h1 {
    font-size: 3.2rem;
    font-weight: 500;
    line-height: 1.2;
    letter-spacing: -0.055em;
}
h2 {
    font-size: 3.2rem;
    font-weight: 300;
    line-height: 1.3;
    letter-spacing: -0.035em;
    opacity: 0.85;
    z-index: 1;
    background-image: linear-gradient(var(--rotate), #54256f, #1b6a82);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: #ffffffc2;
    /* margin-bottom: 1.25rem; */
    position: relative;
    animation: spin 3.5s ease-in-out infinite;
    mix-blend-mode: color-dodge;
    background-size: 50%;
}
.revolution {
    position: relative;
    width: fit-content;
    height: fit-content;
}
.revolution div {
    z-index: -1;
    background-image: linear-gradient(var(--rotate), #fc00ff, #00dbde);
    filter: blur(25px);
    animation: spin 2.5s ease-in-out infinite;
    width: 100%;
    height: 69%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    opacity: 0.35;
}

h3 {
    font-weight: 400;
    line-height: 1.4;
    margin-top: 3.75rem;
    color: #fff; /* A lighter color for a subtle look */
}
span {
    padding-left: 3px;
}

@media (min-width: 1200px) {
    :root {
        font-size: 18px;
    }
}

@media (max-width: 700px) {
    :root {
        font-size: 10px;
    }
}

@property --rotate {
    syntax: '<angle>';
    initial-value: 0deg;
    inherits: false;
}

@keyframes spin {
    0%, 100% {
        --rotate: 0deg;
        background-size: 100% 100%;
    }
    50% {
        --rotate: 20deg;
        background-size: 100% 100%;
    }
}

body > div {
    display: flex;
    align-items: center;
    flex-direction: column;
}